/***********************************************************************

proto.h - prototypes for sscsss
	  functions defined in one file and used in another

This file is a part of sscsss -- Simple Single Cycle Sample Set Synthesizer.

Copyright (C) 2002 David Baker

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***********************************************************************/

#ifndef _SSCSSS_PROTO_H
#define _SSCSSS_PROTO_H

#include <stdio.h>

#include "sscsss.h"

/* input.c */
void get_opts_fname(M_P, char []);
void get_voice(M_P);

/* waveset.c */
void gen_waves(M_P);

/* sample.c */
void gen_sample(S_P , double [], double *);

/* s1m.c */
void init_s1m_header(M_P m, const char path[]);
void add_s1m_wave(M_P, W_P);
void add_s1m_layer(M_P, S_P);
void add_s1m_sample(M_P, S_P);
void write_s1m_header(M_P);
void write_s1m_sample(M_P, S_P, double [], short []);
void write_s1m_end(M_P);
int  chkcat(char []);

/* misc.c */
void free_lists(M_P);
void errex(M_P, int, char *);
void dump_m(M_P);
void wave_list_dump(M_P);
void wave_set_list_dump(M_P);
void logws(M_P, double);
void plotwave(M_P, W_P, double);

/* util.c */
int    aconvi(char *, int *);
int    aconvd(char *, double *);
double round(double);
void   cp_rev_bytes(M_P, unsigned char *, unsigned char *, int);

#endif

/* end of proto.h */

